# Copyright 2021 Google LLC. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""Constants shared across modules."""

EXECUTION_ERROR_CODE_KEY = '__execution_error_code__'
EXECUTION_ERROR_MSG_KEY = '__execution_error_msg__'
EXECUTION_START_TIME_CUSTOM_PROPERTY_KEY = '__execution_start_time__'
STATEFUL_WORKING_DIR_INDEX = '__stateful_working_dir_index__'
# LINT.IfChange(backfill_token)
BACKFILL_TOKEN_CUSTOM_PROPERTY_KEY = '__backfill_token__'
# LINT.ThenChange()

# Key used by execution_logger to log component generated alerts as custom
# properties and by post_execution_utils to check for the presence of alerts in
# an execution's custom properties.
COMPONENT_GENERATED_ALERTS_KEY = '__component_generated_alerts__'

IMPORTER_NODE_TYPE = 'tfx.dsl.components.common.importer.Importer'
RESOLVER_NODE_TYPE = 'tfx.dsl.components.common.resolver.Resolver'
MANUAL_NODE_TYPE = 'tfx.dsl.components.common.manual_node.ManualNode'
SUBPIPELINE_NODE_TYPE = 'tfx.orchestration.pipeline.Pipeline'
SUBPIPELINE_BEGIN_NODE_TYPE = 'tfx.orchestration.pipeline.Pipeline_begin'
SUBPIPELINE_END_NODE_TYPE = 'tfx.orchestration.pipeline.Pipeline_end'

# The prefix for the subdirectory autogenerated for an internal artifact URI.
# Used for emitting intermediate artifacts.
PREFIX = 'intermediate_artifact'

# Apply time skew before this date when getting executions for input resolution.
# This line of code can be removed if we are sure that there are no more
# artifacts older than this date.
TIME_SKEW_DATE = 1704153600000  # Jan 02, 2024 12:00:00 AM
